/*============================ Min - Width Query ============================*/

@media (min-width: 1400px) {
    .impl_container {
        max-width: 1367px;
    }
    .impl_bg_container {
        max-width: 1870px;
    }
    .container {
        max-width: 1200px;
    }
}

/*============================ Max - Width Query ============================*/

@media (max-width: 1875px) {
    .impl_banner_text h2 {
        font-size: 38px;
    }
    .impl_bnr_img.img-3,
    .impl_bnr_img.img-4 {
        max-width: 500px;
    }
    .impl_bnr_img.img-1 {
        left: 25%;
    }
    .impl_bnr_img.img-2 {
        right: 25%;
    }
    .impl_demo_car.img-1 {
        max-width: 450px;
    }
    .impl_demo_car.img-2 {
        max-width: 480px;
    }
    .impl_res_girl {
        left: 15px;
        max-width: 450px;
    }
    .impl_footer_text h2 {
        font-size: 34px;
    }
    .impl_footer_text h1 {
        font-size: 47px;
    }
    .impl_footer_img.img-1 {
        max-width: 600px;
    }
}

@media (max-width: 1700px) {
    h3 {
        font-size: 29px;
    }
    .impl_banner_wrapper {
        border-radius: 0 0 60px 60px;
    }
    .impl_banner_text h2 {
        font-size: 36px;
    }
    .impl_bnr_img.img-3,
    .impl_bnr_img.img-4 {
        max-width: 480px;
    }
    .impl_bnr_img.img-1 {
        left: 27%;
    }
    .impl_bnr_img.img-2 {
        right: 32%;
    }
    .impl_demo_car.img-1,
    .impl_demo_car.img-2 {
        max-width: 420px;
    }
    .impl_res_girl {
        max-width: 350px;
    }
    .impl_footer_text h2 {
        font-size: 32px;
    }
    .impl_footer_text h1 {
        font-size: 43px;
    }
    .impl_footer_img.img-1,
    .impl_footer_img.img-2 {
        max-width: 520px;
    }
}

@media (max-width: 1499.98px) {
    h3 {
        font-size: 28px;
    }
    .impl_banner_wrapper {
        border-radius: 0 0 55px 55px;
    }
    .impl_logo img {
        max-width: 200px;
    }
    .impl_banner_text h2 {
        font-size: 34px;
    }
    .impl_bnr_img.img-3,
    .impl_bnr_img.img-4 {
        max-width: 450px;
    }
    .impl_bnr_img.img-1 {
        left: 28%;
    }
    .impl_bnr_img.img-2 {
        right: 32%;
    }
    .impl_demo_car.img-1,
    .impl_demo_car.img-2 {
        max-width: 380px;
    }
    .impl_footer_text h2 {
        font-size: 30px;
    }
    .impl_footer_text h1 {
        font-size: 40px;
    }
    .impl_footer_img.img-1,
    .impl_footer_img.img-2 {
        max-width: 480px;
    }
}

@media (max-width: 1399.98px) {
    h3 {
        font-size: 27px;
    }
    .impl_banner_wrapper {
        border-radius: 0 0 50px 50px;
    }
    .impl_logo img {
        max-width: 190px;
    }
    .impl_banner_text h2 {
        font-size: 32px;
    }
    .impl_bnr_img.img-1,
    .impl_bnr_img.img-2 {
        display: none;
    }
    .impl_bnr_img.img-3,
    .impl_bnr_img.img-4 {
        max-width: 390px;
        opacity: .8;
    }
    .impl_demo_car.img-1,
    .impl_demo_car.img-2 {
        max-width: 300px;
        opacity: 0.8;
    }
    .impl_pages_wrapper,
    .impl_sell_wrapper,
    .impl_footer_wrapper {
        background-size: 100% 100%;
        border-radius: 40px;
    }
    .impl_res_girl {
        max-width: 290px;
    }
    .impl_footer_text h2 {
        font-size: 28px;
    }
    .impl_footer_text h1 {
        font-size: 36px;
    }
    .impl_footer_img.img-1,
    .impl_footer_img.img-2 {
        max-width: 400px;
    }
    .impl_footer_logo img {
        max-width: 180px;
    }
}

@media (max-width: 1199.98px) {
    h3 {
        font-size: 26px;
    }
    h4 {
        font-size: 19px;
    }
    h5,
    h6 {
        font-size: 17px;
    }
    .impl_section_wrapper {
        padding: 75px 0;
    }
    .impl_section_heading {
        margin-bottom: 15px;
    }
    .impl_banner_wrapper {
        border-radius: 0 0 45px 45px;
    }
    .impl_logo img {
        max-width: 180px;
    }
    .impl_banner_text h2 {
        font-size: 30px;
    }
    .impl_bnr_img.img-3,
    .impl_bnr_img.img-4 {
        max-width: 350px;
        z-index: auto;
        top: 50%;
        transform: translateY(-50%);
        opacity: .1;
    }
    .impl_demo_img {
        max-height: 550px;
    }
    .impl_demo_img img {
        min-height: 550px;
    }
    .impl_demo_car.img-1,
    .impl_demo_car.img-2 {
        max-width: 250px;
    }
    .impl_pages_wrapper,
    .impl_sell_wrapper,
    .impl_footer_wrapper {
        border-radius: 30px;
    }
    .impl_res_girl {
        max-width: 250px;
    }
    .impl_footer_text h2 {
        font-size: 26px;
    }
    .impl_footer_text h1 {
        font-size: 33px;
    }
    .impl_footer_img.img-1,
    .impl_footer_img.img-2 {
        max-width: 280px;
    }
    .impl_footer_logo img {
        max-width: 160px;
    }
}

@media (max-width: 991.98px) {
    h3 {
        font-size: 24px;
    }
    h4 {
        font-size: 18px;
    }
    h5,
    h6 {
        font-size: 16px;
    }
    .impl_section_wrapper {
        padding: 70px 0;
    }
    .impl_section_heading {
        margin-bottom: 10px;
    }
    .impl_banner_wrapper {
        border-radius: 0 0 40px 40px;
    }
    .impl_logo img {
        max-width: 170px;
    }
    .impl_banner_text h2 {
        font-size: 28px;
    }
    .impl_bnr_img.img-3,
    .impl_bnr_img.img-4 {
        max-width: 300px;
    }
    .impl_demo_img {
        max-height: 450px;
    }
    .impl_demo_img img {
        min-height: 450px;
    }
    .impl_demo_car.img-1,
    .impl_demo_car.img-2 {
        max-width: 210px;
        opacity: .5;
    }
    .impl_pages_wrapper,
    .impl_sell_wrapper,
    .impl_footer_wrapper {
        border-radius: 20px;
    }
    .impl_res_girl {
        max-width: 200px;
    }
    .impl_footer_text h2 {
        font-size: 24px;
    }
    .impl_footer_text h1 {
        font-size: 30px;
    }
    .impl_footer_img.img-1,
    .impl_footer_img.img-2 {
        max-width: 180px;
    }
    .impl_footer_logo img {
        max-width: 140px;
    }
}

@media (max-width: 767.98px) {
    body,
    h5,
    h6 {
        font-size: 15px;
    }
    h3 {
        font-size: 22px;
    }
    h4 {
        font-size: 17px;
    }
    .impl_section_wrapper {
        padding: 60px 0;
    }
    .impl_section_heading {
        margin-bottom: 5px;
    }
    .impl_banner_wrapper {
        padding-top: 40px;
        border-radius: 0 0 35px 35px;
    }
    .impl_logo img {
        max-width: 160px;
    }
    .impl_banner_text h2 {
        font-size: 27px;
    }
    .impl_bnr_img.img-3,
    .impl_bnr_img.img-4 {
        max-width: 220px;
    }
    .impl_bnr_img.img-4 {
        transform: translateY(-15%);
    }
    .impl_demo_img {
        max-height: 400px;
    }
    .impl_demo_img img {
        min-height: 400px;
    }
    .impl_demo_car.img-1,
    .impl_demo_car.img-2 {
        max-width: 120px;
        opacity: .2;
    }
    .impl_demo_box:hover .impl_demo_img img {
        transition: all 12s;
    }
    .impl_pages_wrapper,
    .impl_sell_wrapper,
    .impl_footer_wrapper {
        border-radius: 15px;
    }
    .impl_inner_slider,
    .impl_pages_slider {
        padding: unset;
    }
    .impl_res_girl, .impl_responsive_img {
        display: none;
    }
    .impl_resMob_imgs{
        display: block;
        text-align: center;
    }
    .impl_laptop_img {
        margin: 30px 0;
    }
    .impl_footer_text h2 {
        font-size: 23px;
    }
    .impl_footer_text h1 {
        font-size: 28px;
    }
    .impl_footer_logo img {
        max-width: 120px;
    }
    .impl_footer_img.img-1,
    .impl_footer_img.img-2 {
        display: none;
    }
    .impl_footer_text {
        margin: 20px auto 25px;
    }
    .impl_copyright_text {
        margin-top: 40px;
    }
}

@media (max-width: 575.98px) {
    body,
    h5,
    h6 {
        font-size: 14px;
    }
    h3 {
        font-size: 20px;
    }
    h4 {
        font-size: 16px;
    }
    .impl_btn {
        min-width: 120px;
        min-height: 40px;
    }
    .impl_section_wrapper {
        padding: 50px 0;
    }
    .impl_section_heading {
        margin-bottom: 0;
    }
    .impl_banner_wrapper {
        padding-top: 30px;
        border-radius: 0 0 30px 30px;
    }
    .impl_logo img {
        max-width: 150px;
    }
    .impl_banner_text h2 {
        font-size: 26px;
    }
    .impl_bnr_img.img-3,
    .impl_bnr_img.img-4 {
        max-width: 180px;
    }
    .impl_features_box {
        max-width: 270px;
        margin: auto;
    }
    .impl_footer_text h2 {
        font-size: 22px;
    }
    .impl_footer_text h1 {
        font-size: 26px;
    }
    .impl_copyright_text {
        margin-top: 30px;
    }
}

@media (max-width: 399.98px) {
    .impl_demo_box:hover .impl_demo_img img {
        transition: all 8s;
    }
    .impl_demo_btns{
        flex-direction: column;
    }
}